Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.coyote.ssl
Class RemotingSSLImplementation

    java.lang.Object
      org.apache.tomcat.util.net.SSLImplementation
          org.jboss.remoting.transport.coyote.ssl.RemotingSSLImplementation

    public class RemotingSSLImplementation

extends org.apache.tomcat.util.net.SSLImplementation

Author:
  Tom Elrod

Constructor Summary
`RemotingSSLImplementation()`

Method Summary
`java.lang.String` | `getImplementationName()`
`org.apache.tomcat.util.net.ServerSocketFactory` | `getServerSocketFactory()`
`org.apache.tomcat.util.net.SSLSupport` | `getSSLSupport(java.net.Socket sock)`
`static void` | `setMBeanServer(java.lang.String locator, javax.management.MBeanServer mBeanServer)`

Methods inherited from class org.apache.tomcat.util.net.SSLImplementation
`getInstance, getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemotingSSLImplementation

    public RemotingSSLImplementation()

Method Detail

### getImplementationName

    public java.lang.String getImplementationName()

  Specified by:
    `getImplementationName` in class `org.apache.tomcat.util.net.SSLImplementation`

### getServerSocketFactory

    public org.apache.tomcat.util.net.ServerSocketFactory getServerSocketFactory()

  Specified by:
    `getServerSocketFactory` in class `org.apache.tomcat.util.net.SSLImplementation`

### getSSLSupport

    public org.apache.tomcat.util.net.SSLSupport getSSLSupport(java.net.Socket sock)

  Specified by:
    `getSSLSupport` in class `org.apache.tomcat.util.net.SSLImplementation`

### setMBeanServer

    public static void setMBeanServer(java.lang.String locator,
                                      javax.management.MBeanServer mBeanServer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.